summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-06-13 17:21:13 +0200
committerHolger Levsen <holger@layer-acht.org>2017-06-13 17:21:13 +0200
commitebe3985d952dda3e42f6856726de216b07e64c26 (patch)
tree5439ce55f0ab0089e7ad52d41c308e6496ade764
parentb0a80c31af4915bcc9667e1c9c332613c9bd16dd (diff)
downloadjenkins.debian.net-ebe3985d952dda3e42f6856726de216b07e64c26.tar.xz
reproducible Debian: move proxy check to maintenance job…
Signed-off-by: Holger Levsen <holger@layer-acht.org>
-rwxr-xr-xbin/reproducible_maintenance.sh15
-rwxr-xr-xbin/reproducible_node_health_check.sh10
2 files changed, 15 insertions, 10 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index e71f3dc4..2e017525 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -52,6 +52,21 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
fi
fi
+#
+# we fail hard
+#
+set +e
+
+#
+# check for working proxy
+#
+echo "$(date -u) - testing whether the proxy works..."
+curl http://www.debian.org > /dev/null
+if [ $? -ne 0 ] ; then
+ echo "Warning: curl http://www.debian.org failed, probably the proxy is down for $HOSTNAME…"
+ DIRTY=true
+fi
+
echo "$(date -u) - updating the schroots and pbuilder now..."
# use host architecture (only)
ARCH=$(dpkg --print-architecture)
diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index 686e035b..e4dd61fd 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -38,16 +38,6 @@ show_fstab_and_mounts() {
set +e
#
-# check for working proxy
-#
-echo "$(date -u) - testing whether the proxy works..."
-curl http://www.debian.org > /dev/null
-if [ $? -ne 0 ] ; then
- echo "Warning: curl http://www.debian.org failed, probably the proxy is down for $HOSTNAME…"
- DIRTY=true
-fi
-
-#
# check for /dev/shm being mounted properly
#
echo "$(date -u) - testing whether /dev/shm is mounted correctly..."